Groovy Documentation

## org.codehaus.groovy.grails.web.converters.configuration
[Java] Class ImmutableConverterConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.configuration.ImmutableConverterConfiguration

All Implemented Interfaces:
  ConverterConfiguration

    @SuppressWarnings("rawtypes")
    public class ImmutableConverterConfiguration

Immutable Converter Configuration.

Authors:
  Siegfried Puchbauer

See Also:
  ChainedConverterConfiguration

Field Summary
`protected java.util.List` | `marshallers`

Constructor Summary
`ImmutableConverterConfiguration(ConverterConfiguration cfg)`
`ImmutableConverterConfiguration(ConverterConfiguration cfg, ProxyHandler proxyHandler)`

Method Summary
`java.lang.Object` | `getCircularReferenceBehaviour()` @see ConverterConfiguration#getCircularReferenceBehaviour()
`java.lang.String` | `getEncoding()` @see ConverterConfiguration#getEncoding()
`ObjectMarshaller` | `getMarshaller(java.lang.Object o)` @see ConverterConfiguration#getMarshaller(Object)
`java.util.List` | `getOrderedObjectMarshallers()`
`ProxyHandler` | `getProxyHandler()`
`boolean` | `isPrettyPrint()` @see ConverterConfiguration#isPrettyPrint()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### marshallers

    protected final java.util.List marshallers

Constructor Detail

### ImmutableConverterConfiguration

    public ImmutableConverterConfiguration(ConverterConfiguration cfg)

### ImmutableConverterConfiguration

    public ImmutableConverterConfiguration(ConverterConfiguration cfg, ProxyHandler proxyHandler)

Method Detail

### getCircularReferenceBehaviour

    public java.lang.Object getCircularReferenceBehaviour()

  See Also:
    ConverterConfiguration#getCircularReferenceBehaviour()#getCircularReferenceBehaviour()

### getEncoding

    public java.lang.String getEncoding()

  See Also:
    ConverterConfiguration#getEncoding()#getEncoding()

### getMarshaller

    public ObjectMarshaller getMarshaller(java.lang.Object o)

  See Also:
    ConverterConfiguration#getMarshaller(Object)#getMarshaller(Object)

### getOrderedObjectMarshallers

    public java.util.List getOrderedObjectMarshallers()

### getProxyHandler

    public ProxyHandler getProxyHandler()

### isPrettyPrint

    public boolean isPrettyPrint()

  See Also:
    ConverterConfiguration#isPrettyPrint()#isPrettyPrint()

Groovy Documentation